balenaEtcher deb repo requires payment?

So today I did my every so often routine of running `sudo apt update’ and I discovered this error from the repo:


I tried removing the repo and was going to rerun the setup script but after trying to download it via a browser I just get a white screen, using wget I get a similar error as with apt:

What’s going on here? is the repository’s https cert not being signed anymore, do I actually have to pay to use the deb repo?

1 Like

Seems like they got too popular and Cloudsmith wants a plan upgrade!

Hi, thanks for letting us know about this issue, we have hit some rate limits from Cloudsmith and we are addressing this to make sure the problem is resolved.

In the mean time you can manually update by downloading the release file from github and installing, for example on ubuntu the .deb then sudo dpkg -i [filename].deb. This documentation should be helpful for deb: Manual Installation but you should be able to find more information on how to do by googling ‘how to manually install deb/rpm’

Any ETA as to when this will be fixed? I’d rather just wait but I’ve disabled the repo in my repository for now so it does not error up. I can re-enable it when it’s fixed.

Hi @doug0915, The Cloudsmith account was upgraded last night so you should be able to update from the repo again. Let us know if you have any more issues :blush:

1 Like

Hi.
It’s nice again for me, this morning.
Thanks very much.

Glad to hear it! Let us know if you need further assistance.

Hello,
sorry but the issue is back again :
https://dl.cloudsmith.io/public/balena/etcher/deb/ubuntu/dists/focal/InRelease
402 Payment Required [IP: 99.86.94.14 443]”

Hi @latruffe,
Thanks for letting us know, we had a call with Cloudsmith yesterday and our limit has now increased significantly more so you should hopefully be able to update Etcher again. Let us know if you have any further problems :blush:

2 Likes

Indeed,
I can add back Cloudsmith repository for apt updates without error.
Pb solved.
Thanks again.

1 Like